This project contains an excercise for OOP.

The final solution should run wihtout any errors. In order to do this the classes in the shapes namespace
should be changed in order to respsect the OOP principles.


Create your branch, 
make the changes in order for the program to start and run,
push it